Bug 1408598

Summary: invoke_shell() broke in Paramiko 2.1
Product: [Fedora] Fedora Reporter: Dick Marinus <dick>
Component: python-paramikoAssignee: Igor Gnatenko <ignatenko>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: athmanem, ignatenko, ivazqueznet, jeff, orion, rebus
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-paramiko-2.1.1-2.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-31 06:50:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dick Marinus 2016-12-25 15:54:09 UTC
Description of problem:

(quote ebeahan from upstream bug report)
The update_environment_variables method of Channel was updated to update_environment as per:

cfa81eb

The SSHClient class still contains a call to update_environment_variables which fails as of 2.1:

https://github.com/paramiko/paramiko/blob/2.1/paramiko/client.py#L467

Version-Release number of selected component: 2.1.0-1.fc25

Upstream bug report:
https://github.com/paramiko/paramiko/issues/859

Please upgrade to 2.1.1 to fix this issue

Comment 1 Fedora Update System 2016-12-27 13:51:25 UTC
python-paramiko-2.1.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e94c989f4

Comment 2 Fedora Update System 2016-12-28 00:54:32 UTC
python-paramiko-2.1.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e94c989f4

Comment 3 Fedora Update System 2016-12-31 06:50:18 UTC
python-paramiko-2.1.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.